Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class VisitorSourceOperation

- org.codehaus.groovy.tools.shell.util.ScriptVariableAnalyzer.VisitorSourceOperation

- custom PrimaryClassNodeOperation to be able to hook our code visitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptVariableAnalyzer.VisitorSourceOperation (GroovyClassVisitor visitor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### ScriptVariableAnalyzer.VisitorSourceOperation(GroovyClassVisitor visitor)

  - ### Method Detail

    - #### @Override void call(SourceUnit source, GeneratorContext context, ClassNode classNode)